E-MailRelay

Classes | Namespaces | Functions
glinestore.cpp File Reference
`#include "gdef.h"`
`#include "glinestore.h"`
`#include "gexception.h"`
`#include "gstr.h"`
`#include "gassert.h"`
`#include <iterator>`

Go to the source code of this file.

## Classes
class | GNet::LineStoreIterator
| An iterator class for GNet::LineStore. More...

## Namespaces
namespace | GNet
| Network classes.

## Functions
LineStoreIterator | GNet::operator+ (const LineStoreIterator &in, ptrdiff_t n)
LineStoreIterator | GNet::operator- (const LineStoreIterator &in, ptrdiff_t n)
LineStoreIterator | GNet::operator+ (ptrdiff_t n, const LineStoreIterator &in)
ptrdiff_t | GNet::operator- (const LineStoreIterator &a, const LineStoreIterator &b)
void | GNet::swap (LineStoreIterator &a, LineStoreIterator &b) noexcept
template<typename T1 , typename T2 >
bool | GNet::LineStoreImp::std_equal (T1 p1, T1 end1, T2 p2, T2 end2)

## Function Documentation

## ◆ std_equal()

template<typename T1 , typename T2 >

bool GNet::LineStoreImp::std_equal | ( | T1 | p1,
|  | T1 | end1,
|  | T2 | p2,
|  | T2 | end2
| ) |  |

Definition at line 185 of file glinestore.cpp.